Add two arbitrary precision numbers

- « BC Math Functions

- bccomp »

- PHP Manual
- BC Math Functions
- Add two arbitrary precision numbers

# bcadd

(PHP 4, PHP 5, PHP 7, PHP 8)

bcadd — Add two arbitrary precision numbers

### Description

bcadd(string `$num1`, string `$num2`, ?int `$scale` = `null`): string

Sums `num1` and `num2`.

### Parameters

`num1`

  The left operand, as a string.

`num2`

  The right operand, as a string.

`scale`

  This optional parameter is used to set the number of digits after the decimal place in the result. If omitted, it will default to the scale set globally with the bcscale() function, or fallback to `0` if this has not been set.

### Return Values

The sum of the two operands, as a string.

### Changelog

Version | Description
--- | ---
8.0.0 | `scale` is now nullable.

### Examples

Example #1 bcadd() example

    <?php$a = '1.234';$b = '5';echo bcadd($a, $b);     // 6echo bcadd($a, $b, 4);  // 6.2340?>

### See Also

- bcsub() - Subtract one arbitrary precision number from another